# Uses of Class
com.google.testing.compile.CompilationSubject.DiagnosticOnLine

## Uses of CompilationSubject.DiagnosticOnLine in com.google.testing.compile

Methods in com.google.testing.compile that return CompilationSubject.DiagnosticOnLine
Modifier and Type
Method
Description
`CompilationSubject.DiagnosticOnLine`
CompilationSubject.DiagnosticInFile.`inFile(JavaFileObject expectedFile)`
Asserts that the note, warning, or error was found in a given file.